# VOSP



                (    (     
                )\ ) )\ )  
     (   (     (()/((()/(  
     )\  )\ (   /(_))/(_)) 
     ((_)((_))\ (_)) (_))   
     \ \ / /((_)/ __|| _ \  
      \ V // _ \\__ \|  _/  
       \_/ \___/|___/|_|    
                       


28 - 9 - 2020

This VoSP firewall control is a version that's oriented toward port blocking method. **REQUIRES ADMINISTRATOR RIGHTS!** (because it doesn't use netsh but using firewall API). Less recommended, but this is permanent until you delete firewall rule.
If it uses netsh, the prompt is: `[netsh advfirewall firewall add rule name="GTA5_SOLOPUB" program=[insert gamedir to exe] protocol=udp dir=out localport=6670,61455-61458 enable=yes action=block profile=Private,Public,Domain]`

Explanation: Blocking with UDP, outward direction, local port of 6670 + 61455-61458, for all type of domain (Private,Public,Domain)


HOW IT WORKS:
The firewall uses API (not netsh) to create comparable firewall rules with the one made using netsh. With that being said, it needs admin permissions though.

HOW TO USE (firewall ones):
1. Open this app, and click "Add firewall" to add firewall rule. You can optionally add game directory (recommended).
    - Forgot to add game directory? Just tick with EXE path and click browse GTA5.exe. Point it to current GTA5 installation. After that, just click Apply Changes.
2. Open the GTA V, and enter public lobby.
3. To disable and opening the lobby to **everybody**, open this app, and click "Remove firewall" to delete firewall rule.


NOW ENJOY SPECIAL CARGO DELIVERY WITHOUT GETTING MAULED BY TRYHARDS IN OPPRESSOR MARK2!

DISCLAIMER: I AM NOT AFFILIATED WITH ROCKSTAR GAMES, TAKE 2 INTERACTIVE, AND IT'S ASSOCIATES. THIS APP IS TOTALLY FINE TO USE BECAUSE THIS IS NO WAY MODIFYING GAME DATA IN SAME VEIN OF CHEAT OR MOD MENUS. ALSO THIS APP MADE SOLO PUBLIC LOBBY TRICK MORE EASIER BUT USING SIMILAR ALREADY AVAILABLE TRICK. SAFE (REPLICATABLE WITH CRAPPY PC/BAD INTERNET).

THIS APP IS LICENSED UNDER 3 CLAUSE BSD LICENSE, SEE LICENSE.TXT